Creates a new security profile in a given project and location.

### HTTP request

`POST https://networksecurity.googleapis.com/v1/{parent=projects/*/locations/*}/securityProfiles`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource of the `SecurityProfile`. Format: `organizations/{organization}/locations/{location}` or `projects/{project}/locations/{location}`. |

### Query parameters

| Parameters ||
|---|---|
| `securityProfileId` | `string` Required. Short name of the `SecurityProfile` resource to be created. This value must be 1 to 63 characters long, contain only lowercase letters, numbers, and hyphens, and must not start with a number. For example, `security-profile1`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/firewall/docs/reference/network-security/rest/v1/organizations.locations.securityProfiles#SecurityProfile`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/firewall/docs/reference/network-security/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).